#![allow(dead_code)]

pub mod code; pub use code::*;
pub mod packet; pub use packet::*;

#[derive(Clone)]
pub enum QRPacketData {
    ROk,

    QConn(LocalPacketConnect),
    RConn,

    QDisconn,

    QRegister(PacketRegister),
    RRegister(PacketRegisterResponse),

    QAuth(PacketAuth),
    RAuth(PacketAuthResponse),

    QDeauth,

    QAuthResume,
    RAuthResume,
}

#[derive(Clone)]
pub struct QRPacket {
    pub id:u32,
    pub data:QRPacketData,
}
impl QRPacket {
    pub fn new(id:u32, data:QRPacketData) -> Self
    {
        Self { id, data }
    }
}
